MySQL++: common.h File Reference
common.h File Reference

This file includes top-level definitions for use both internal to the library, and outside it. Contrast mysql++.h. More...

`#include <mysql.h>`

Go to the source code of this file.

## Macros

#define | MYSQLPP_UTF8_CS "utf8"
| Use this macro in CREATE TABLE strings to get the best available UTF-8 character set and correpsonding collation. More...
#define | MYSQLPP_UTF8_COL "utf8_general_ci"
| Use this macro in CREATE TABLE strings to get a matching collation to the character set selected by MYSQLPP_UTF8_CS.

## Detailed Description

This file includes top-level definitions for use both internal to the library, and outside it. Contrast mysql++.h.

This file mostly takes care of platform differences.

## Macro Definition Documentation

## MYSQLPP_UTF8_CS

#define MYSQLPP_UTF8_CS "utf8"

Use this macro in CREATE TABLE strings to get the best available UTF-8 character set and correpsonding collation.

MySQL++ is built against a version of MySQL or MariaDB older than 5.5, so we must use the legacy 3-byte-limited subset of UTF-8.